列出 workspace
列出你拥有或加入的所有 workspace(GET /v2/workspaces),包括成员、角色和共享的应用。没有时返回空列表。
GET
/
v2
/
workspaces
列出 workspace
curl --request GET \
--url https://api.squarecloud.app/v2/workspaces \
--header 'Authorization: <authorization>'import requests
url = "https://api.squarecloud.app/v2/workspaces"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.squarecloud.app/v2/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"response": [
{
"id": "3f9c2a7e5b1d4e8a9c6f0b2d4e6a8c1f",
"name": "Test",
"owner": "5354d9742d889d49b20134ba0be09ccc0033be68",
"members": [
{
"name": "Example",
"id": "5354d9742d889d49b20134ba0be09ccc0033be68",
"group": "owner",
"joinedAt": "2025-06-04T20:44:55.934Z"
}
],
"applications": [],
"createdAt": "2025-06-04T20:44:55.934Z"
}
]
}
需要具有
workspaces:manage 权限范围的 API 密钥。
返回经过身份验证的用户作为拥有者或成员所属的每个 workspace,并为每个 workspace 附带其成员列表(姓名与角色)以及共享应用(名称、RAM、语言、域名)。这是构建 workspace 切换器或仪表盘的入口端点,因为它避免了为每个 workspace 单独调用一次获取 Workspace。
对于没有任何 workspace 的用户,响应会返回一个空数组,无论原因是所在套餐不支持 workspace 功能,还是仅仅还没有创建或加入过 workspace。要创建第一个 workspace,请参阅创建 Workspace。
响应
string
指示调用是否成功。成功时为
success,否则为 error。object
响应的内容。
显示 展开对象
显示 展开对象
string
workspace 的 ID:32 个十六进制字符(去掉连字符的 UUID v4)。较早创建的 workspace 使用 40 个字符的十六进制 ID。
string
workspace 所有者的 id。
string
workspace 的名称。
object
object
string
创建时间戳(UTC-0)。
{
"status": "success",
"response": [
{
"id": "3f9c2a7e5b1d4e8a9c6f0b2d4e6a8c1f",
"name": "Test",
"owner": "5354d9742d889d49b20134ba0be09ccc0033be68",
"members": [
{
"name": "Example",
"id": "5354d9742d889d49b20134ba0be09ccc0033be68",
"group": "owner",
"joinedAt": "2025-06-04T20:44:55.934Z"
}
],
"applications": [],
"createdAt": "2025-06-04T20:44:55.934Z"
}
]
}
常见错误
| 代码 | HTTP | 说明 |
|---|---|---|
DATABASE_UNAVAILABLE | 503 | 服务暂时不可用。请几秒后重试。 |
相关内容
- CLI:
squarecloud workspace list - SDK:
api.workspaces.list()(JavaScript)、client.workspaces.list()(Python)、c.Workspaces.List()(Go)
⌘I
列出 workspace

